gnutls_handshake_update_receiving_key(3)

NAME
gnutls_handshake_update_receiving_key - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_handshake_update_receiving_key(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function will update/refresh the session receiving keys when the TLS protocol is 1.3 or better. Unlike gnutls_session_key_update() this function does not notify the peer, it will only update the local keys. If the negotiated version is not TLS 1.3 or better this function will return GNUTLS_E_INVALID_REQUEST.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.8.11

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/